package com.jan.entity;

import com.badlogic.gdx.maps.MapObject;
import com.jan.Collision.Colider;
import com.jan.Collision.ColiderInterface;

public class Actor extends Animator implements ColiderInterface{
    
    private Colider colider;

    public Actor(MapObject mapObject) {
        super(mapObject);
        String bodyType = (String)loadProperty(Colider.BODY_PROPERTY);
        String coliderType = (String)loadProperty(Colider.BODY_COLLIDER);
        colider = new Colider(this, bodyType, coliderType);
    }

    public Colider getColider(){
        return colider;
    }
}

